<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="17.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{52DBE16D-FB8F-4278-8DD1-FBE96D4241FC}</ProjectGuid>
    <Keyword>QtVS_v304</Keyword>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">10.0.19041.0</WindowsTargetPlatformVersion>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">10.0.19041.0</WindowsTargetPlatformVersion>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">10.0.17763.0</WindowsTargetPlatformVersion>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">10.0.17763.0</WindowsTargetPlatformVersion>
    <QtMsBuild Condition="'$(QtMsBuild)'=='' OR !Exists('$(QtMsBuild)\qt.targets')">$(MSBuildProjectDirectory)\QtMsBuild</QtMsBuild>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Condition="Exists('$(QtMsBuild)\qt_defaults.props')">
    <Import Project="$(QtMsBuild)\qt_defaults.props" />
  </ImportGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="QtSettings">
    <QtInstall>5.15.2_msvc2019_64</QtInstall>
    <QtModules>core;gui;widgets</QtModules>
    <QtBuildConfig>debug</QtBuildConfig>
    <QtPlugin>true</QtPlugin>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="QtSettings">
    <QtInstall>5.15.2_msvc2019_64</QtInstall>
    <QtModules>core;gui;widgets</QtModules>
    <QtBuildConfig>debug</QtBuildConfig>
    <QtPlugin>true</QtPlugin>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="QtSettings">
    <QtInstall>5.15.2_msvc2019_64</QtInstall>
    <QtModules>core;sql;gui;svg;widgets;printsupport;websockets;webview</QtModules>
    <QtBuildConfig>release</QtBuildConfig>
    <QtPlugin>true</QtPlugin>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="QtSettings">
    <QtInstall>5.15.2_msvc2019_64</QtInstall>
    <QtModules>core;sql;gui;svg;widgets;printsupport;websockets;webview</QtModules>
    <QtBuildConfig>release</QtBuildConfig>
    <QtPlugin>true</QtPlugin>
  </PropertyGroup>
  <Target Name="QtMsBuildNotFound" BeforeTargets="CustomBuild;ClCompile" Condition="!Exists('$(QtMsBuild)\qt.targets') or !Exists('$(QtMsBuild)\qt.props')">
    <Message Importance="High" Text="QtMsBuild: could not locate qt.targets, qt.props; project may not build correctly." />
  </Target>
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <IncludePath>..\qscintilla2\Qt4Qt5\Qsci;..\qscintilla2\Qt4Qt5\features;..\qscintilla2\src;..\qscintilla2\include;..\qscintilla2\Qt4Qt5;..\qscintilla2\lexlib;..\qscintilla2\lexers;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <IncludePath>..\qscintilla2\Qt4Qt5\Qsci;..\qscintilla2\Qt4Qt5\features;..\qscintilla2\src;..\qscintilla2\include;..\qscintilla2\Qt4Qt5;..\qscintilla2\lexlib;..\qscintilla2\lexers;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Label="Vcpkg">
    <VcpkgEnableManifest>true</VcpkgEnableManifest>
  </PropertyGroup>
  <PropertyGroup Label="Vcpkg" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <VcpkgInstalledDir>D:\vcpkg\installed</VcpkgInstalledDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Vcpkg">
    <VcpkgInstalledDir>D:\vcpkg\installed</VcpkgInstalledDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PreprocessorDefinitions>SCINTILLA_QT;SCI_LEXER;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <LanguageStandard>stdcpp14</LanguageStandard>
      <LanguageStandard_C>stdc17</LanguageStandard_C>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PreprocessorDefinitions>SCINTILLA_QT;SCI_LEXER;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <LanguageStandard>stdcpp14</LanguageStandard>
      <LanguageStandard_C>stdc17</LanguageStandard_C>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="Configuration">
    <ClCompile>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <Optimization>Disabled</Optimization>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ClCompile>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <Optimization>Disabled</Optimization>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="Configuration">
    <ClCompile>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <DebugInformationFormat>None</DebugInformationFormat>
      <Optimization>MaxSpeed</Optimization>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>false</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ClCompile>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <DebugInformationFormat>None</DebugInformationFormat>
      <Optimization>MaxSpeed</Optimization>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>false</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="lexers\LexHTML.cpp" />
    <ClCompile Include="lexers\LexJSON.cpp" />
    <ClCompile Include="lexers\LexSQL.cpp" />
    <ClCompile Include="lexlib\Accessor.cpp" />
    <ClCompile Include="lexlib\CharacterCategory.cpp" />
    <ClCompile Include="lexlib\CharacterSet.cpp" />
    <ClCompile Include="lexlib\DefaultLexer.cpp" />
    <ClCompile Include="lexlib\LexerBase.cpp" />
    <ClCompile Include="lexlib\LexerModule.cpp" />
    <ClCompile Include="lexlib\LexerNoExceptions.cpp" />
    <ClCompile Include="lexlib\LexerSimple.cpp" />
    <ClCompile Include="lexlib\PropSetSimple.cpp" />
    <ClCompile Include="lexlib\StyleContext.cpp" />
    <ClCompile Include="lexlib\WordList.cpp" />
    <ClCompile Include="Qt4Qt5\InputMethod.cpp" />
    <ClCompile Include="Qt4Qt5\ListBoxQt.cpp" />
    <ClCompile Include="Qt4Qt5\MacPasteboardMime.cpp" />
    <ClCompile Include="Qt4Qt5\PlatQt.cpp" />
    <ClCompile Include="Qt4Qt5\qsciabstractapis.cpp" />
    <ClCompile Include="Qt4Qt5\qsciapis.cpp" />
    <ClCompile Include="Qt4Qt5\qscicommand.cpp" />
    <ClCompile Include="Qt4Qt5\qscicommandset.cpp" />
    <ClCompile Include="Qt4Qt5\qscidocument.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexer.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexercpp.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexercustom.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexerhtml.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexerjavascript.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexerjson.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexerpython.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexersql.cpp" />
    <ClCompile Include="Qt4Qt5\qscilexerxml.cpp" />
    <ClCompile Include="Qt4Qt5\qscimacro.cpp" />
    <ClCompile Include="Qt4Qt5\qsciprinter.cpp" />
    <ClCompile Include="Qt4Qt5\qsciscintilla.cpp" />
    <ClCompile Include="Qt4Qt5\qsciscintillabase.cpp" />
    <ClCompile Include="Qt4Qt5\qscistyle.cpp" />
    <ClCompile Include="Qt4Qt5\qscistyledtext.cpp" />
    <ClCompile Include="Qt4Qt5\SciAccessibility.cpp" />
    <ClCompile Include="Qt4Qt5\SciClasses.cpp" />
    <ClCompile Include="Qt4Qt5\ScintillaQt.cpp" />
    <ClCompile Include="src\AutoComplete.cpp" />
    <ClCompile Include="src\CallTip.cpp" />
    <ClCompile Include="src\CaseConvert.cpp" />
    <ClCompile Include="src\CaseFolder.cpp" />
    <ClCompile Include="src\Catalogue.cpp" />
    <ClCompile Include="src\CellBuffer.cpp" />
    <ClCompile Include="src\CharClassify.cpp" />
    <ClCompile Include="src\ContractionState.cpp" />
    <ClCompile Include="src\DBCS.cpp" />
    <ClCompile Include="src\Decoration.cpp" />
    <ClCompile Include="src\Document.cpp" />
    <ClCompile Include="src\EditModel.cpp" />
    <ClCompile Include="src\Editor.cpp" />
    <ClCompile Include="src\EditView.cpp" />
    <ClCompile Include="src\ExternalLexer.cpp" />
    <ClCompile Include="src\Indicator.cpp" />
    <ClCompile Include="src\KeyMap.cpp" />
    <ClCompile Include="src\LineMarker.cpp" />
    <ClCompile Include="src\MarginView.cpp" />
    <ClCompile Include="src\PerLine.cpp" />
    <ClCompile Include="src\PositionCache.cpp" />
    <ClCompile Include="src\RESearch.cpp" />
    <ClCompile Include="src\RunStyles.cpp" />
    <ClCompile Include="src\ScintillaBase.cpp" />
    <ClCompile Include="src\Selection.cpp" />
    <ClCompile Include="src\Style.cpp" />
    <ClCompile Include="src\UniConversion.cpp" />
    <ClCompile Include="src\ViewStyle.cpp" />
    <ClCompile Include="src\XPM.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="include\ILexer.h" />
    <ClInclude Include="include\ILoader.h" />
    <ClInclude Include="include\Platform.h" />
    <ClInclude Include="include\SciLexer.h" />
    <ClInclude Include="include\Scintilla.h" />
    <ClInclude Include="include\ScintillaWidget.h" />
    <ClInclude Include="include\Sci_Position.h" />
    <ClInclude Include="lexlib\Accessor.h" />
    <ClInclude Include="lexlib\CharacterCategory.h" />
    <ClInclude Include="lexlib\CharacterSet.h" />
    <ClInclude Include="lexlib\DefaultLexer.h" />
    <ClInclude Include="lexlib\LexAccessor.h" />
    <ClInclude Include="lexlib\LexerBase.h" />
    <ClInclude Include="lexlib\LexerModule.h" />
    <ClInclude Include="lexlib\LexerNoExceptions.h" />
    <ClInclude Include="lexlib\LexerSimple.h" />
    <ClInclude Include="lexlib\OptionSet.h" />
    <ClInclude Include="lexlib\PropSetSimple.h" />
    <ClInclude Include="lexlib\SparseState.h" />
    <ClInclude Include="lexlib\StringCopy.h" />
    <ClInclude Include="lexlib\StyleContext.h" />
    <ClInclude Include="lexlib\SubStyles.h" />
    <ClInclude Include="lexlib\WordList.h" />
    <ClInclude Include="Qt4Qt5\ListBoxQt.h" />
    <ClInclude Include="Qt4Qt5\Qsci\qscicommand.h" />
    <ClInclude Include="Qt4Qt5\Qsci\qscicommandset.h" />
    <ClInclude Include="Qt4Qt5\Qsci\qscidocument.h" />
    <ClInclude Include="Qt4Qt5\Qsci\qsciglobal.h" />
    <ClInclude Include="Qt4Qt5\Qsci\qsciprinter.h" />
    <ClInclude Include="Qt4Qt5\Qsci\qscistyle.h" />
    <ClInclude Include="Qt4Qt5\Qsci\qscistyledtext.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qsciscintillabase.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qsciscintilla.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscimacro.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexerxml.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexersql.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexerpython.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexerjson.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexerjavascript.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexerhtml.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexercustom.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexercpp.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qscilexer.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qsciapis.h" />
    <QtMoc Include="Qt4Qt5\Qsci\qsciabstractapis.h" />
    <ClInclude Include="Qt4Qt5\SciAccessibility.h" />
    <ClInclude Include="Qt4Qt5\SciNamespace.h" />
    <QtMoc Include="Qt4Qt5\ScintillaQt.h" />
    <QtMoc Include="Qt4Qt5\SciClasses.h" />
    <ClInclude Include="src\AutoComplete.h" />
    <ClInclude Include="src\CallTip.h" />
    <ClInclude Include="src\CaseConvert.h" />
    <ClInclude Include="src\CaseFolder.h" />
    <ClInclude Include="src\Catalogue.h" />
    <ClInclude Include="src\CellBuffer.h" />
    <ClInclude Include="src\CharClassify.h" />
    <ClInclude Include="src\ContractionState.h" />
    <ClInclude Include="src\DBCS.h" />
    <ClInclude Include="src\Decoration.h" />
    <ClInclude Include="src\Document.h" />
    <ClInclude Include="src\EditModel.h" />
    <ClInclude Include="src\Editor.h" />
    <ClInclude Include="src\EditView.h" />
    <ClInclude Include="src\ElapsedPeriod.h" />
    <ClInclude Include="src\ExternalLexer.h" />
    <ClInclude Include="src\FontQuality.h" />
    <ClInclude Include="src\Indicator.h" />
    <ClInclude Include="src\IntegerRectangle.h" />
    <ClInclude Include="src\KeyMap.h" />
    <ClInclude Include="src\LineMarker.h" />
    <ClInclude Include="src\MarginView.h" />
    <ClInclude Include="src\Partitioning.h" />
    <ClInclude Include="src\PerLine.h" />
    <ClInclude Include="src\Position.h" />
    <ClInclude Include="src\PositionCache.h" />
    <ClInclude Include="src\RESearch.h" />
    <ClInclude Include="src\RunStyles.h" />
    <ClInclude Include="src\ScintillaBase.h" />
    <ClInclude Include="src\Selection.h" />
    <ClInclude Include="src\SparseVector.h" />
    <ClInclude Include="src\SplitVector.h" />
    <ClInclude Include="src\Style.h" />
    <ClInclude Include="src\UnicodeFromUTF8.h" />
    <ClInclude Include="src\UniConversion.h" />
    <ClInclude Include="src\UniqueString.h" />
    <ClInclude Include="src\ViewStyle.h" />
    <ClInclude Include="src\XPM.h" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="include\License.txt" />
    <Text Include="lexers\License.txt" />
    <Text Include="lexlib\License.txt" />
    <Text Include="Qt4Qt5\CMakeLists.txt" />
    <Text Include="src\License.txt" />
  </ItemGroup>
  <ItemGroup>
    <None Include="include\Scintilla.iface" />
    <None Include="Qt4Qt5\qscintilla.pro" />
    <None Include="Qt4Qt5\qscintilla_cs.qm" />
    <None Include="Qt4Qt5\qscintilla_de.qm" />
    <None Include="Qt4Qt5\qscintilla_es.qm" />
    <None Include="Qt4Qt5\qscintilla_fr.qm" />
    <None Include="Qt4Qt5\qscintilla_pt_br.qm" />
    <None Include="src\SciTE.properties" />
  </ItemGroup>
  <ItemGroup>
    <QtTranslation Include="Qt4Qt5\qscintilla_cs.ts" />
    <QtTranslation Include="Qt4Qt5\qscintilla_de.ts" />
    <QtTranslation Include="Qt4Qt5\qscintilla_es.ts" />
    <QtTranslation Include="Qt4Qt5\qscintilla_fr.ts" />
    <QtTranslation Include="Qt4Qt5\qscintilla_pt_br.ts" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Condition="Exists('$(QtMsBuild)\qt.targets')">
    <Import Project="$(QtMsBuild)\qt.targets" />
  </ImportGroup>
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
  <ProjectExtensions>
    <VisualStudio>
      <UserProperties IsDesignerPlugin="True" />
    </VisualStudio>
  </ProjectExtensions>
</Project>